I cannot find rs.CreatePoint() on Mac version of rhinoscriptsyntax

I am new to Rhino and I have experience with Python for other developments. My question may be due to my misunderstanding of the documentation.

I am trying to create a point to reuse later Rhino python complains that rs.CreatePoint() does not exist in the following short program:

import rhinoscriptsyntax as rs
import Rhino #used later in the program

plane_x = rs.PlaneFromPoints([0,0,0],[0,1,0],[0,0,1])

origin = rs.CreatePoint(0,0,0)

Thanks for your help.

Hello,

rs.CreatePoint() does not exist in rhinoscriptsyntax. You might be looking for rs.AddPoint(x,y,z) which will add a Rhino point object to the document and return its GUID, or either rs.coerce3dpoint([x,y,z]) or Rhino.Geometry.Point3d(x,y,z) either of which will return a RhinoCommon Point3d object (but not add a Rhino point object to the document).

HTH, --Mitch

Thanks a lot !

In the mean time I found a solution with

rs.Command("-_Point 0.0,0.0,0.0")
origin = rs.FirstObject()

But it really does not look like clean programming :slight_smile: rs.AddPoint() looks better.